Create a tracking event for a campaign creator
POST
/api/public/v1/tracking_eventsLiveAnswers from your brand's records now.
Operation id createTrackingEvent
Request
curl
curl -X POST "https://creator.growthdept.ai/api/public/v1/tracking_events" \
-H "Authorization: Bearer gdc_..." \
-H "Content-Type: application/json" \
-d '{"campaign_affiliate_id":"string","conversion_platform":"shopify","currency":"usd","event_data":{},"event_name":"cart_viewed","external_user_id":"string","occurred_at":"2026-11-01T15:04:05Z","order_id":"string","order_type":"one_time","payment_id":"string","product_id":"string","quantity":3,"subscription_end_date":3,"subscription_start_date":3,"subtotal":3,"visitor_uid":"string"}'Request body
| Field | Type | Notes |
|---|---|---|
| campaign_affiliate_id | string | |
| conversion_platform | string | One of shopifytik_tok_shopiosstripewhop |
| currency | string, nullable | One of usdeurgbp |
| event_data | object | |
| event_name | string | requiredOne of cart_viewedcheckout_address_info_submittedcheckout_completedcheckout_contact_info_submittedcheckout_shipping_info_submittedcheckout_startedcollection_viewedpage_viewedpayment_info_submittedproduct_added_to_cartproduct_removed_from_cartproduct_viewed … |
| external_user_id | string, nullable | |
| occurred_at | string (date-time) | |
| order_id | string, nullable | |
| order_type | string, nullable | One of one_timesubscription |
| payment_id | string, nullable | |
| product_id | string | |
| quantity | integer | |
| subscription_end_date | integer | |
| subscription_start_date | integer | |
| subtotal | integer, nullable | |
| visitor_uid | string |
Example
{
"campaign_affiliate_id": "string",
"conversion_platform": "shopify",
"currency": "usd",
"event_data": {},
"event_name": "cart_viewed",
"external_user_id": "string",
"occurred_at": "2026-11-01T15:04:05Z",
"order_id": "string",
"order_type": "one_time",
"payment_id": "string",
"product_id": "string",
"quantity": 3,
"subscription_end_date": 3,
"subscription_start_date": 3,
"subtotal": 3,
"visitor_uid": "string"
}Responses
201Success
| Field | Type | Notes |
|---|---|---|
| success | boolean |
Example
{
"success": true
}Errors: 404422with an error and usually a message. See errors.
Example values are made up from each field's type and name.